/// <reference types="react" />
declare type RecentFilesListType = {
    id: string;
    name: string;
    url: string;
    type: string;
    size?: string;
    created?: Date | string;
};
interface AttachFilesTypes {
    [key: string]: any;
    lng?: string;
    recentFilesList?: RecentFilesListType[];
    addFile?: RecentFilesListType;
    setAddFile?: (v: RecentFilesListType) => void;
    file?: any;
    setFile?: any;
    limitSizeInMB: number;
    setAlertSize?: (v: boolean) => void;
    setFileName?: (v?: string) => void;
    setFileType?: (v?: string) => void;
    setFileSize?: (v?: string) => void;
    setFilePath?: (v?: string) => void;
}
export declare const AttachFilesChat: ({ lng, addFile, setAddFile, recentFilesList, file, setFile, limitSizeInMB, setAlertSize, setFileName, setFileSize, setFilePath, setFileType, ...props }: AttachFilesTypes) => JSX.Element;
export {};
