/// <reference types="react" />
interface AvatarTypes {
    small?: boolean;
    medium?: boolean;
    big?: boolean;
    online?: boolean;
    status?: boolean;
    image?: string;
    name: string;
    editable?: boolean;
    onClick?: () => void;
    editableWidth?: number | string;
    [key: string]: any;
    onClickAvatar?: () => void;
}
export declare const AvatarModule: ({ small, medium, big, online, status, image, name, editable, onClick, editableWidth, onClickAvatar, ...props }: AvatarTypes) => JSX.Element;
export {};
