import React from 'react';
interface DataValue {
    id?: string | number;
    title?: string;
    reference?: string | number;
}
interface ObjectValue {
    category?: DataValue;
    speciality?: DataValue;
    abilities?: DataValue[];
}
export declare const CategoryDropdown: React.FC<{
    width?: number;
    hideSearch?: boolean;
    labelCategory?: string;
    labelSpeciality?: string;
    labelAbility?: string;
    max?: number;
    values?: ObjectValue;
    maxText?: string;
    emptyText?: string;
    prerequisiteSpeciality?: boolean;
    prerequisiteSpecialityText?: string;
    prerequisiteAbility?: boolean;
    prerequisiteAbilityText?: string;
    categories?: DataValue[];
    specialities?: DataValue[];
    abilities?: DataValue[];
    onChange?: (value?: ObjectValue) => void;
}>;
export {};
