/// <reference types="react" />
interface CategoryTypes {
    id?: string;
    disabled?: boolean;
    type?: string;
    handleChange?: any;
    value?: string;
    valuesAbilities?: any;
    MaterialIcon?: any;
    label?: string;
    name?: any;
    onMouseEnter?: any;
    onMouseLeave?: any;
    listCategories?: any;
    listSpecialities?: any;
    listTags?: any;
    dataSection?: string;
    selectedCategory?: {
        title: string;
        id: string;
        reference: string;
    };
    setSelectedCategory: (value: {
        title: string;
        id: string;
        reference: string;
    }) => void | any;
    selectedSpeciality?: {
        title: string;
        id: string;
        reference: string;
    };
    setSelectedSpeciality: (value: {
        title: string;
        id: string;
        reference: string;
    }) => void | any;
    selectedAbility?: any;
    setSelectedAbility: (value: any) => void | any;
    relationSpecialityCategory?: any;
    relationAbilitySpeciality?: any;
    maxTags: number;
    error?: boolean;
    listLabels: {
        [key: string]: string;
    };
    [key: string]: any;
}
export declare const CategorySelectors: ({ id, handleChange, value, disabled, MaterialIcon, label, name, onMouseEnter, onMouseLeave, type, listCategories, listSpecialities, listTags, dataSection, selectedCategory, setSelectedCategory, selectedSpeciality, setSelectedSpeciality, selectedAbility, setSelectedAbility, relationSpecialityCategory, relationAbilitySpeciality, maxTags, error, listLabels, ...props }: CategoryTypes) => JSX.Element;
export {};
