import React from 'react';
import { ChatMessagesListTypes } from './Types/chatMessages';
interface ChatRoomTypes {
    [key: string]: any;
    listMessages?: ChatMessagesListTypes[];
    ReturnNotification?: (v?: ChatMessagesListTypes) => React.ReactNode;
    ReturnHistoricalMessage?: (v?: ChatMessagesListTypes) => React.ReactNode;
    userRoom?: string | null;
    userById_UserId?: string | null;
    loggedUser_Id?: string | null;
    lng?: string;
    onClickAvatar?: () => void;
    onClickSeeMore?: () => void;
    seeMoreLimit?: number;
    activeHistory?: (message?: any) => void;
    readHistory?: (message?: any) => void;
}
export declare const ChatRoom: ({ listMessages, ReturnHistoricalMessage, ReturnNotification, userById_UserId, loggedUser_Id, userRoom, lng, onClickAvatar, onClickSeeMore, seeMoreLimit, activeHistory, readHistory, ...props }: ChatRoomTypes) => JSX.Element;
export {};
