/// <reference types="react" />
interface ListContractTypes {
    title?: string;
    labelContract?: string;
    labelWorkspace?: string;
    labelDispute?: string;
    sections?: {
        contract?: boolean;
        workspace?: boolean;
        dispute?: boolean;
    };
    routeActive?: string;
    onClickContract?: () => void;
    onClickWorkspace?: () => void;
    onClickDispute?: () => void;
    active?: boolean;
    [key: string]: any;
}
export declare const ListContract: ({ title, sections, routeActive, onClickContract, onClickWorkspace, onClickDispute, labelContract, labelWorkspace, labelDispute, active, ...props }: ListContractTypes) => JSX.Element;
export {};
