/// <reference types="react" />
interface ItemsTypes {
    label?: string;
    icon?: JSX.Element | any;
    onClick?: () => void;
}
interface MenuProfileTypes {
    labelOnline?: string;
    labelOffline?: string;
    list: ItemsTypes[];
    online?: boolean;
    onClickOnline?: () => void;
    onClickOffline?: () => void;
    [key: string]: any;
}
export declare const MenuProfile: ({ labelOnline, labelOffline, list, online, onClickOnline, onClickOffline, ...props }: MenuProfileTypes) => JSX.Element;
export {};
