/// <reference types="react" />
interface ModalListInfoStruct {
    [key: string]: any;
    open: boolean;
    setOpen: (v: boolean) => void;
    handleClose?: () => void;
    width?: string | number;
    items?: string[];
    title: string;
    subtitle?: string;
    footer: boolean;
    footerText?: string;
    btnText: string;
    onClick?: () => void;
    type: string;
}
export declare const ModalListInfo: ({ open, setOpen, handleClose, width, title, subtitle, items, footer, footerText, btnText, onClick, type, ...props }: ModalListInfoStruct) => JSX.Element;
export {};
