/// <reference types="react" />
declare type RecentFilesListType = {
    id: string;
    name: string;
    url: string;
    type: string;
    size?: string;
    created?: Date | string;
};
interface RenderFileTypes {
    [key: string]: any;
    file: RecentFilesListType;
    renderType: string;
    handlePreview: (v: RecentFilesListType) => void;
    selectedFile: RecentFilesListType;
    lng?: string;
}
export declare const RenderFile: ({ file, renderType, handlePreview, selectedFile, lng, ...props }: RenderFileTypes) => JSX.Element;
export {};
