/// <reference types="react" />
interface SelectableCardTypes {
    width?: string | number;
    height?: string | number;
    title: string;
    description: string;
    active?: boolean;
    onClick?: () => void;
    [key: string]: any;
}
export declare const SelectableCard: ({ width, height, title, description, active, ...props }: SelectableCardTypes) => JSX.Element;
export {};
