/// <reference types="react" />
interface PropTypes {
    id?: string;
    onMouseEnter?: (value: any) => void;
    onMouseLeave?: (value: any) => void;
    onKeyDown?: (value: any) => void;
    onClick?: (value: any) => void;
    onChange?: (value: any) => void;
    listData?: any;
    value?: any;
    hideSearch?: boolean;
    label?: string;
    name?: string | null | undefined;
    type?: string;
    section?: string;
    disabled?: boolean;
    setValue?: any;
    selectOption?: any;
    width?: number;
    setTitle?: any;
    [key: string]: any;
}
export declare const Selector: ({ id, onMouseEnter, onMouseLeave, onKeyDown, onClick, onChange, listData, value, setValue, hideSearch, label, name, type, section, disabled, selectOption, width, setTitle, ...props }: PropTypes) => JSX.Element;
export {};
