/// <reference types="react" />
interface TextFieldDateTypes {
    [key: string]: any;
    width?: string | number;
    height?: string | number;
    label?: string;
    initialDate?: string;
    setValueDate?: (e: string | undefined) => void;
    format?: string;
    maxDate?: boolean;
}
export declare const TextFieldDate: ({ width, height, label, initialDate, setValueDate, format, maxDate, ...props }: TextFieldDateTypes) => JSX.Element;
export {};
