import React from 'react';
import ActionTypes from './Types/actionsTypes';
import PositionFooter from './Types/positionFooter';
export declare const UploadFileWithIcon: React.FC<{
    src?: string | undefined;
    type?: string | undefined;
    accept?: string | undefined;
    children?: React.ReactNode | undefined;
    [key: string]: any;
    width?: string | number;
    height?: string | number;
    actions?: ActionTypes;
    onClickDelete?: () => void;
    onClickEdit?: () => void;
    footerCard?: {
        title?: string;
        subTitle?: string;
        position?: PositionFooter;
        divider?: boolean;
        dividerColor?: string;
        cursor?: boolean;
    };
    onChange?: React.ChangeEventHandler<HTMLInputElement> | undefined;
}>;
