/// <reference types="react" />
interface ValueContainerTypes {
    label?: string;
    value?: string;
    indicator?: string;
    onClickEdit?: () => void;
    onClickDelete?: () => void;
    width?: string | number;
    height?: string | number;
    [key: string]: any;
}
export declare const ValueContainer: ({ width, height, label, indicator, onClickEdit, onClickDelete, value, ...props }: ValueContainerTypes) => JSX.Element;
export {};
