import React from 'react';
import PositionFooter from './Types/positionFooter';
import ActionTypes from './Types/actionsTypes';
declare type Value = string | number | readonly string[] | undefined;
interface DataValue {
    id: string | number;
    render: React.ReactNode | undefined;
    text?: string;
    value: Value;
}
export declare const CardPicker: React.FC<{
    iconColorActions?: string;
    actions?: ActionTypes;
    onClickDelete?: () => void;
    onClickEdit?: () => void;
    [key: string]: any;
    divider?: boolean;
    position?: PositionFooter;
    dividerColor?: string;
    width?: string | number;
    height?: string | number;
    value?: DataValue;
    data?: DataValue[];
    activeInputFile?: boolean;
    onChangeInputFile?: React.ChangeEventHandler<HTMLInputElement> | undefined;
    onChange?: (value: DataValue) => void;
}>;
export {};
