import React, { MouseEventHandler } from 'react';
import PositionFooter from './Types/positionFooter';
import ActionTypes from './Types/actionsTypes';
export declare const DefaultCard: React.FC<{
    src?: string | undefined;
    type?: string | undefined;
    selected?: boolean;
    width?: string | number;
    height?: string | number;
    iconColorActions?: string;
    actions?: ActionTypes;
    activeInputFile?: boolean;
    onChangeInputFile?: React.ChangeEventHandler<HTMLInputElement> | undefined;
    onClickDelete?: () => void;
    onClickEdit?: () => void;
    onClick?: MouseEventHandler<HTMLDivElement> | undefined;
    children?: React.ReactNode;
    imageCard?: {
        width?: string | number;
        height?: string | number;
        image?: string;
        iconFooter?: any;
        actions?: string;
        children?: React.ReactNode;
        onClickEdit?: () => void;
        onClickDelete?: () => void;
    };
    footerCard?: {
        title?: string;
        subTitle?: string;
        position?: PositionFooter;
        divider?: boolean;
        dividerColor?: string;
        cursor?: boolean;
    };
    [key: string]: any;
}>;
