/// <reference types="react" />
interface DefaultModalTypes {
    open: boolean;
    setOpen: (v: boolean) => void;
    width?: string | number;
    height?: string | number;
    content?: JSX.Element | any;
    handleClose?: () => void;
    [key: string]: any;
    classContent?: any;
}
export declare const DefaultModal: ({ open, setOpen, width, height, content, handleClose, classContent, ...props }: DefaultModalTypes) => JSX.Element;
export {};
