import React from 'react';
declare type Value = string | number;
interface DataValue {
    text?: string;
    value?: Value;
    key?: string | number;
}
export declare const Dropdown: React.FC<{
    id?: string;
    hideSearch?: boolean;
    value?: Value;
    values?: DataValue[];
    type?: string;
    prerequisite?: boolean;
    emptyText?: string;
    max?: number;
    maxText?: string;
    prerequisiteText?: string;
    multiple?: boolean;
    width?: number;
    label?: string;
    name?: string;
    disabled?: boolean;
    onChange?: (data: DataValue) => void;
    onChangeValues?: (data: DataValue[]) => void;
    onChangeInput?: React.ChangeEventHandler<HTMLInputElement> | undefined;
    data?: DataValue[];
}>;
export {};
