/// <reference types="react" />
declare type RecentFilesListType = {
    id: string;
    name: string;
    url: string;
    type: string;
    size?: string;
    created?: Date | string;
};
interface InputChatTypes {
    [key: string]: any;
    iconSend?: boolean;
    iconAttach?: boolean;
    disabled?: boolean;
    id: string;
    value?: string;
    setValue?: (v?: string) => void;
    placeholder?: string;
    returnAction?: () => void;
    width?: string | number;
    handleSubmit?: () => void;
    emojiStyles?: {
        [key: string]: string | number;
    };
    storiesStyle?: boolean;
    handleUploadFile?: () => void;
    lng?: string;
    recentFilesList?: RecentFilesListType[];
    setFileName?: (v?: string) => void;
    setFileType?: (v?: string) => void;
    setFileSize?: (v?: string) => void;
    setFilePath?: (v?: string) => void;
    file?: any;
    setFile?: any;
    limitSizeInMB: number;
    maxHeightInput?: number | string;
}
export declare const InputChat: ({ iconSend, iconAttach, disabled, id, value, setValue, placeholder, returnAction, handleSubmit, width, emojiStyles, storiesStyle, handleUploadFile, lng, recentFilesList, setFileName, setFileSize, setFileType, setFilePath, file, setFile, limitSizeInMB, maxHeightInput, ...props }: InputChatTypes) => JSX.Element;
export {};
