/// <reference types="react" />
interface ListingProjectCardTypes {
    [key: string]: any;
    width?: string | number;
    height?: string | number;
    avatar?: boolean;
    avatarSrc?: string;
    projectTitle?: string;
    projectStatus?: string;
    publicatedDate?: string;
    btnQuantity?: number;
    onClickCard?: () => void;
    onClickBtnRight?: () => void;
    onClickBtnLeft?: () => void;
    onClickBtnCenter?: () => void;
    projectId?: string;
    btnHeight?: number;
    btnCenterText?: string;
    btnRightText?: string;
    btnLeftText?: string;
    onClickAvatar?: () => void;
    userName?: string;
    lng?: string;
    noBtn?: boolean;
}
export declare const ListingProjectCard: ({ width, height, avatar, avatarSrc, projectTitle, projectStatus, publicatedDate, onClickCard, onClickBtnRight, onClickBtnLeft, onClickBtnCenter, projectId, btnHeight, btnCenterText, btnLeftText, btnRightText, onClickAvatar, userName, lng, btnQuantity, noBtn, ...props }: ListingProjectCardTypes) => JSX.Element;
export {};
