/// <reference types="react" />
declare type ItemsType = {
    title?: string;
    onClickItem?: () => void;
    referenceBold?: string;
};
declare type SectionTypes = {
    title?: string;
    icon?: JSX.Element | JSX.Element[] | any;
    onClick?: () => void;
    referenceBold?: string;
    items: ItemsType[];
};
interface PrincipalMenuTypes {
    routeLocation?: string;
    sections?: SectionTypes[];
    submenu?: JSX.Element | JSX.Element[];
    backArrow?: boolean;
    onClickBack?: () => void;
    [key: string]: any;
}
export declare const PrincipalMenu: ({ sections, routeLocation, submenu, backArrow, onClickBack, ...props }: PrincipalMenuTypes | any) => JSX.Element;
export {};
