/// <reference types="react" />
interface SimpleSelectorTypes {
    label?: string;
    [key: string]: any;
    list?: string[];
    onClick?: () => void;
    setValue?: (v: string | number) => void;
    value?: string | number;
}
export declare const SimpleSelector: ({ label, list, onClick, setValue, value, ...props }: SimpleSelectorTypes) => JSX.Element;
export {};
