import React from 'react';
declare type filesTypes = {
    temp_id: string;
    name: string;
    size: number;
    type: string;
    base: string;
};
interface TextFieldUploadFileTypes {
    [key: string]: any;
    accept: string;
    onChange?: React.ChangeEventHandler<HTMLInputElement>;
    width?: string | number;
    label?: string;
    tag?: string;
    addText?: string;
    maxFiles: number;
    maxFilesMessage: string;
    initialFiles?: filesTypes[];
    setDataFiles?: (data: filesTypes[]) => void;
}
export declare const TextFieldUploadFile: ({ accept, onChange, width, label, tag, addText, maxFiles, maxFilesMessage, setDataFiles, initialFiles, ...props }: TextFieldUploadFileTypes) => JSX.Element;
export {};
