export const FormatDate = (date: string | undefined, lng: string) => {
  let en = lng === 'en';
  let day, month, year;
  if (date) {
    let dateMonths = {
      "0": en ? "January" : "Enero",
      "1": en ? "February" : "Febrero",
      "2": en ? "March" : "Marzo",
      "3": en ? "April" : "Abril",
      "4": en ? "May" : "Mayo",
      "5": en ? "June" : "Junio",
      "6": en ? "July" : "Julio",
      "7": en ? "August" : "Agosto",
      "8": en ? "September" : "Setiembre",
      "9": en ? "October" : "Octubre",
      "10": en ? "November" : "Noviembre",
      "11": en ? "December" : "Diciembre"
    }
    day = date.split('-')[2].slice(0, 2)
    month = date.split('-')[1].slice(0, 2)
    year = date.split('-')[0]
    
    return en ?
      `Uploaded on ${Object.values(dateMonths)[parseInt(month) - 1]} ${day}, ${year}`
      :
      `Subido el ${day}  ${Object.values(dateMonths)[parseInt(month) - 1]}, ${year}`
  }
  return ""
}